HTMLEntities (NekoHTML 1.9.14 Implementation)
Date: 2010-02-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cyberneko.html
Class HTMLEntities

    java.lang.Object
      org.cyberneko.html.HTMLEntities

    public class HTMLEntities

extends java.lang.Object

Pre-defined HTML entities.

Version:
  $Id: HTMLEntities.java,v 1.5 2005/02/14 03:56:54 andyc Exp $
Author:
  Andy Clark

Field Summary
`protected static java.util.Properties` | `ENTITIES` Entities.
`protected static org.cyberneko.html.HTMLEntities.IntProperties` | `SEITITNE` Reverse mapping from characters to names.

Constructor Summary
`HTMLEntities()`

Method Summary
`static java.lang.String` | `get(int c)` Returns the name associated to the given character or null if the character is not known.
`static int` | `get(java.lang.String name)` Returns the character associated to the given entity name, or -1 if the name is not known.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTITIES

    protected static final java.util.Properties ENTITIES

  Entities.

### SEITITNE

    protected static final org.cyberneko.html.HTMLEntities.IntProperties SEITITNE

  Reverse mapping from characters to names.

Constructor Detail

### HTMLEntities

    public HTMLEntities()

Method Detail

### get

    public static int get(java.lang.String name)

  Returns the character associated to the given entity name, or -1 if the name is not known.

### get

    public static java.lang.String get(int c)

  Returns the name associated to the given character or null if the character is not known.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright 2002-2008, Andy Clark, Marc Guillemot. All rights reserved.